# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc列表查询条件验证_新老商品关系编码,2264,2264-67,sit,bs
主数据平台:运营后台管理系统新老编码组列表查询接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json

module = "cmdc_special_fresenius_group"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers2", cmdc_access_token)

# 获取新老商品关系编码列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url_product_code")
request_body = commonFuc().get_business_data(module, "payload_product_code")
# 发送请求
result = requests.post(url, headers=headers, json=request_body)
result = json.loads(result.content)

# 获取新老编码组信息
product_code = result["data"]["list"][0]["products"][0]["productCode"]
product_info = result["data"]["list"][0]["products"][0]["productName"]
material_code = result["data"]["list"][0]["products"][0]["materialCode"]
manufacturer_list = result["data"]["list"][0]["products"][0]["manufacturer"]
product_line_name = result["data"]["list"][0]["productLineName"]
description = result["data"]["list"][0]["products"][0]["description"]
status = result["data"]["list"][0]["status"]

# 第二步进行列表查询条件验证
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url_product_code")
request_body = commonFuc().get_business_data(module, "payload22", product_code, product_info, material_code,
                                             manufacturer_list, product_line_name, description, status)

"""
 场景:列表查询条件验证_新老商品关系编码
 用例名称：列表查询条件验证_新老商品关系编码
 输出：{"productCode":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)
result = {"productCode": result["data"]["list"][0]["products"][0]["productCode"]}
result["api_time"] = api_time
print(result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict22", product_code)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
